View Issue Details

IDProjectCategoryView StatusLast Update
0003224Ham Radio DeluxeBugpublic2019-03-31 11:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.197 
Target VersionFixed in Version6.5.0.207 
Summary0003224: the FTDX-1200 Break-in Mode slider changes incorrect setting
DescriptionThe "Break-In mode" slider offered for the FTDX-1200 radio in Rig Control ends up changing a different setting.
Steps To Reproduce1) Open Rig Control and connect to an FTDX-1200 radio
2) Use the "Menu" button on the radio to access the menu settings
3) Use the VFO B dial to scroll to setting 60, which is "CW Auto Mode"

4) Use the "Radio Layout" command in the "View" menu to reach the "Customize Layout" dialog
5) On the "Sliders: Layout" tab, make sure the "061 Break-in mode" slider is visible.

6) Exercise the "Break-in mode" slider.

BUG#1) The radio changes the "CW AUTO MODE" setting, instead.

TagsFTDX-1200, Yaesu
ModuleRig Control
Sub-ModuleRadio Support
Testing Beta Successful

Activities

K7ZCZ

2019-03-06 12:09

administrator   ~0007605

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4877

WA9PIE

2019-03-26 14:48

administrator   ~0007756

I was able to test the rig's menu item 61 (CW AUTO MODE) and 63 (CW BK-IN). These worked as expected.

Are the menu items described in the steps typo's... or is this all related to a difference in firmware?

K7ZCZ

2019-03-26 17:01

administrator   ~0007770

As far as I can tell, the implemented fix is correct.

The slider labelled "063 Break-In Mode" controls the radio's break-in mode setting, and the slider labelled "064 Break-In Delay" sets the radio's break in delay timing.

Did you observe something else in your testing?

WA9PIE

2019-03-26 20:45

administrator   ~0007772

I think I just wasn't thinking about this from the perspective of "fixed" (more from the perspective of replicating the broken steps).

Validated.

Issue History

Date Modified Username Field Change
2019-03-04 14:28 K7ZCZ New Issue
2019-03-04 14:29 K7ZCZ Tag Attached: Yaesu
2019-03-04 14:29 K7ZCZ Tag Attached: FTDX-1200
2019-03-06 12:09 K7ZCZ Assigned To => K7ZCZ
2019-03-06 12:09 K7ZCZ Status new => resolved
2019-03-06 12:09 K7ZCZ Resolution open => fixed
2019-03-06 12:09 K7ZCZ Note Added: 0007605
2019-03-06 21:45 K7ZCZ Fixed in Version => 6.5.0.200
2019-03-26 14:48 WA9PIE Note Added: 0007756
2019-03-26 14:48 WA9PIE Status resolved => feedback
2019-03-26 14:48 WA9PIE Resolution fixed => reopened
2019-03-26 14:48 WA9PIE Description Updated View Revisions
2019-03-26 14:48 WA9PIE Steps to Reproduce Updated View Revisions
2019-03-26 17:01 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-03-26 17:01 K7ZCZ Status feedback => assigned
2019-03-26 17:01 K7ZCZ Resolution reopened => fixed
2019-03-26 17:01 K7ZCZ Note Added: 0007770
2019-03-26 17:01 K7ZCZ Status assigned => resolved
2019-03-26 20:45 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-03-26 20:45 WA9PIE Status resolved => closed
2019-03-26 20:45 WA9PIE Testing Not Started => Beta Successful
2019-03-26 20:45 WA9PIE Note Added: 0007772
2019-03-31 11:13 WA9PIE Fixed in Version 6.5.0.200 => 6.5.0.207
2019-03-31 11:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe